From 13e8bc15184d54a93033166d16c825168d24f454 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Aug 30 2017 14:40:53 +0000
Subject: [PATCH 941/1001] Fix memory leak in the Fedmsg consumer


---

diff --git a/hubs/backend/consumer.py b/hubs/backend/consumer.py
index 7ea5083..fa84545 100644
--- a/hubs/backend/consumer.py
+++ b/hubs/backend/consumer.py
@@ -15,21 +15,24 @@ log = logging.getLogger("hubs")
 class CacheInvalidatorExtraordinaire(fedmsg.consumers.FedmsgConsumer):
     topic = '*'
     config_key = 'hubs.consumer.enabled'
+    validate_signatures = False
 
     def __init__(self, *args, **kwargs):
         log.debug("CacheInvalidatorExtraordinaire initializing")
         super(CacheInvalidatorExtraordinaire, self).__init__(*args, **kwargs)
 
-        self.queue_name = self.hub.config['hubs.redis.triage-queue-name']
+        queue_name = self.hub.config['hubs.redis.triage-queue-name']
+        self.queue = retask.queue.Queue(queue_name)
 
         log.debug("CacheInvalidatorExtraordinaire initialized")
 
     def consume(self, raw_msg):
         msg = raw_msg['body']
-        queue = retask.queue.Queue(self.queue_name)
-        queue.connect()
         task = retask.task.Task(fedmsg.encoding.dumps(msg))
-        queue.enqueue(task)
+        if not self.queue.connected:
+            log.debug("CacheInvalidatorExtraordinaire connecting")
+            self.queue.connect()
+        self.queue.enqueue(task)
 
     def stop(self):
         log.info("Cleaning up CacheInvalidatorExtraordinaire.")

